# Locate KDL install directory

# This module defines
# Orocos-KDL_INSTALL where to find include, lib, bin, etc.
# Orocos-KDL_FOUND, is set to true

INCLUDE (FindPkgConfig)

IF ( PKG_CONFIG_FOUND )

  # set flag for whether items are required or not
  SET(IS_REQUIRED)
  IF (Orocos-KDL_FIND_REQUIRED)
	SET(IS_REQUIRED "REQUIRED")
  ENDIF (Orocos-KDL_FIND_REQUIRED)

  # find KDL itself
  set(ENV{PKG_CONFIG_PATH} "/tmp/buildd/ros-fuerte-orocos-kinematics-dynamics-0.2.3/debian/ros-fuerte-orocos-kinematics-dynamics/opt/ros/fuerte/stacks/orocos_kinematics_dynamics/orocos_kdl/install_dir/lib/pkgconfig/")
  message( "Looking for KDL in: /tmp/buildd/ros-fuerte-orocos-kinematics-dynamics-0.2.3/debian/ros-fuerte-orocos-kinematics-dynamics/opt/ros/fuerte/stacks/orocos_kinematics_dynamics/orocos_kdl/install_dir")
  pkg_search_module(Orocos-KDL ${IS_REQUIRED} orocos-kdl)
  
  IF( Orocos-KDL_FOUND )
    IF(NOT Orocos-KDL_FIND_QUIETLY)
      message("   Includes in: ${Orocos-KDL_INCLUDE_DIRS}")
      message(    "Compiler flags: ${Orocos-KDL_CFLAGS}")  
      message("   Libraries: ${Orocos-KDL_LIBRARIES}")
      message("   Libraries in: ${Orocos-KDL_LIBRARY_DIRS}")
      message("   Linker flags : ${Orocos-KDL_LD_FLAGS}")
      message("   Defines: ${Orocos-KDL_DEFINES}")
    ENDIF(NOT Orocos-KDL_FIND_QUIETLY)

  ELSE(Orocos-KDL_FOUND)  
    IF(Orocos-KDL_FIND_REQUIRED)
      MESSAGE(FATAL_ERROR "Could not find KDL")
    ENDIF(Orocos-KDL_FIND_REQUIRED)
  ENDIF ( Orocos-KDL_FOUND )
ELSE  ( PKG_CONFIG_FOUND )

  MESSAGE( FATAL_ERROR "Can't find KDL without pkgconfig !")

ENDIF ( PKG_CONFIG_FOUND )
